# Uses of Class
org.eclipse.swt.layout.GridLayout

Packages that use GridLayout
Package
Description
org.eclipse.jface.layout
Provides support for layout generation.
org.eclipse.jface.wizard
Provides a framework for wizards.

## Uses of GridLayout in org.eclipse.jface.layout

Methods in org.eclipse.jface.layout that return GridLayout
Modifier and Type
Method
Description
`static GridLayout`
GridLayoutFactory.`copyLayout(GridLayout l)`
Copies the given GridLayout instance
`GridLayout`
GridLayoutFactory.`create()`
Creates a new GridLayout, and initializes it with values from the factory.
Methods in org.eclipse.jface.layout with parameters of type GridLayout
Modifier and Type
Method
Description
`static GridLayout`
GridLayoutFactory.`copyLayout(GridLayout l)`
Copies the given GridLayout instance
`static GridLayoutFactory`
GridLayoutFactory.`createFrom(GridLayout l)`
Creates a factory that creates copies of the given layout.

## Uses of GridLayout in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard with parameters of type GridLayout
Modifier and Type
Method
Description
`protected ProgressMonitorPart`
WizardDialog.`createProgressMonitorPart(Composite composite, GridLayout pmlayout)`
Hook method for subclasses to create a custom progress monitor part.